zenilib: TGraphParentNode Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TGraphParentNode Class Reference

`#include <DependencyGraph.h>`

Inherits TGraphNode.

Inherited by TGraphArgument, TGraphFunctionCall, and TGraphSymbol.

## Public Member Functions

| TGraphParentNode (TIntermNode *node)
virtual | ~TGraphParentNode ()
void | addDependentNode (TGraphNode *node)
virtual void | traverse (TDependencyGraphTraverser *graphTraverser)
Public Member Functions inherited from TGraphNode
| TGraphNode (TIntermNode *node)
virtual | ~TGraphNode ()

## Additional Inherited Members

Protected Attributes inherited from TGraphNode
TIntermNode * | intermNode

## Detailed Description

Definition at line 46 of file DependencyGraph.h.

## Constructor & Destructor Documentation

TGraphParentNode::TGraphParentNode | ( | TIntermNode * | node | ) |

inline

Definition at line 48 of file DependencyGraph.h.

virtual TGraphParentNode::~TGraphParentNode | ( |  | ) |

inlinevirtual

Definition at line 49 of file DependencyGraph.h.

## Member Function Documentation

void TGraphParentNode::addDependentNode | ( | TGraphNode * | node | ) |

inline

Definition at line 50 of file DependencyGraph.h.

void TGraphParentNode::traverse | ( | TDependencyGraphTraverser * | graphTraverser | ) |

virtual

Reimplemented from TGraphNode.

Reimplemented in TGraphSymbol, TGraphFunctionCall, and TGraphArgument.

Definition at line 16 of file DependencyGraphTraverse.cpp.

References TDependencyGraphTraverser::decrementDepth(), TDependencyGraphTraverser::incrementDepth(), TDependencyGraphTraverser::isVisited(), and TGraphNode::traverse().

Referenced by TGraphArgument::traverse(), TGraphFunctionCall::traverse(), and TGraphSymbol::traverse().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraph.h
- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraphTraverse.cpp